
Redmine - Defect #7394

non-standard date format is used by REST API

2011-01-21 03:50 - Alex Last

Status: Closed Start date: 2011-01-21

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: REST API Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version:  

Description

kinda "standard" values:

    Time zone    General time zone    Pacific Standard Time; PST; GMT-08:00

    Time zone    RFC 822 time zone    -0800

 sample date returned by Redmine REST API for "get projects" request:

2011-01-20T18:33:29-08:00

 note: there's no "GMT" prefix before the "-08:00" part

History

#1 - 2011-01-21 04:07 - Alex Last

I'd suggest RFC 822 standard syntax: "-0800" instead of "-08:00".

#2 - 2011-01-21 22:43 - Andrey Bruggemann

Alexey Skor wrote:

I'd suggest RFC 822 standard syntax: "-0800" instead of "-08:00".

 Use XML Schema Datetime Formats (based on ISO 8601 standard) should be better for integration, IMHO.

#3 - 2011-01-21 23:49 - Alex Last

anyway, it would be nice to have the same format in both Redmine 1.0 and 1.1.

#4 - 2011-01-25 18:31 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Invalid

This is how Rails writes datetimes in XML.

See activesupport-2.3.5\lib\active_support\core_ext\date_time\conversions.rb:

# Converts datetime to an appropriate format for use in XML

def xmlschema

  strftime("%Y-%m-%dT%H:%M:%S%Z")

end if RUBY_VERSION < '1.9'

 And it doesn't seem non-standard at all: http://www.w3.org/TR/xmlschema-2/#dateTime.

#5 - 2012-06-16 00:25 - Alex Last

several Redmine API users have reported this bug: https://github.com/taskadapter/redmine-java-api/issues/39

I'm guessing Redmine date format was changed again?

Powered by TCPDF (www.tcpdf.org)

2025-05-17 1/1

http://www.w3.org/TR/xmlschema-2/#dateTime
https://github.com/taskadapter/redmine-java-api/issues/39
http://www.tcpdf.org

